#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QApplication>
#include <QCoreApplication>
#include <QSqlDatabase>
#include <QString>
#include <iostream>
#include <QSqlQuery>
#include <QSqlError>
#include <QDebug>
#include <QSqlRecord>
#include <iomanip>
#include <windows.h>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

struct config{
    QString SqlDatabase;
    QString HostName;
    QString DatabaseName;
    QString UserName;
    QString Password;
    QString Port;
};

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
    void NewLogString(const QString& command);
    void ConnectToServer();
    void DBUpdate(const QString table_name);
    void CloseDB();

    QSqlDatabase myDB;
        config config;

private:

    Ui::MainWindow *ui;

public slots:
    void ok_clicked();
    void clear_clicked();

private slots:
    void closeEvent(QCloseEvent *event);
    void on_actionExit_triggered();
    void on_actionConnect_triggered();
};
#endif // MAINWINDOW_H
